input, select, textarea{
    outline: none !important;
    box-shadow: none !important;
    border-color: rgba(0, 0, 0, 0.1)!important;
    padding: .25rem .5rem;
}

.input-lg{
    width: 10rem !important;
    font-size: 38px !important;
    font-weight:light;
}

input:focus, select:focus, textarea:focus{
    border-color: rgba(0, 0, 0, 0.2)!important;
}

input[type="text"], input[type="email"], input[type="number"], input[type="date"], input[type="password"], .form-control{
    background-color: rgba(0, 0, 0, 0.05)!important;
    border: none;
    border-radius: .25rem !important;
}

select.form-control {
    appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3E%3Cpath fill='%23000' d='M2 0L0 2h4z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 0.5rem auto;
    padding-right:1.75rem;
    cursor: pointer;
}

.toggle-password {
    border: none;
    cursor: pointer;
    position: absolute;
    display:flex;
    align-items: center;
    bottom: 0.175rem;
    padding: 0 .25rem;
    outline: transparent;
    line-height: 2.25rem;
    background-color: transparent;
    right: 0;
    margin: 0;
}

.iti {
    display: block !important;
}

.form-check{
    margin: 0;
    padding: 0;
}

.form-group label:not(.form-check-label), .input-group label{
    font-size: .8rem !important;
    opacity: .75 !important;
    display: block !important;
    width: 100%;
}

input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 10px; /* Hauteur totale, y compris la poignée */
    background: none;
    outline: none !important;
}

input[type="range"]::-webkit-slider-runnable-track {
    height: 2px; /* Épaisseur de la ligne */
    background: #ddd;
    border-radius: 2px;
    border: none !important;
    box-shadow: none !important;
}

input[type="range"]::-moz-range-track {
    height: 2px; /* Épaisseur de la ligne */
    background: #ddd;
    border-radius: 2px;
    border: none !important;
    box-shadow: none !important;
}

input[type="range"]::-ms-track {
    height: 2px; /* Épaisseur de la ligne pour Edge/IE */
    background: transparent;
    border-color: transparent;
    color: transparent;
    box-shadow: none !important;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    background: #333;
    border-radius: 50%;
    cursor: pointer;
    margin-top: -7px; /* Centrer la poignée sur la ligne */
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

input[type="range"]::-moz-range-thumb {
    width: 16px;
    height: 16px;
    background: #333;
    border-radius: 50%;
    cursor: pointer;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

input[type="range"]::-ms-thumb {
    width: 16px;
    height: 16px;
    background: #333;
    border-radius: 50%;
    cursor: pointer;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
}

input[type="range"]:focus {
    outline: none !important;
    box-shadow: none !important;
}

input[type="range"]:hover::-webkit-slider-thumb,
input[type="range"]:active::-webkit-slider-thumb {
    background: rgb(var(--main-color));
}

input[type="range"]:hover::-moz-range-thumb,
input[type="range"]:active::-moz-range-thumb {
    background: rgb(var(--main-color));
}

input[type="radio"] + label.card {
    border: 2px solid #CCC !important;
    cursor: pointer;
    opacity:.5;
    transition: all 0.3s ease;
}

input[type="radio"] + label.card .card-text {
    opacity:.75;
}

input[type="radio"]:checked + label.card {
    position:relative;
    border: 2px solid rgb(var(--main-color)) !important;
    box-shadow: 0 0 10px rgba(var(--main-color), 0.2);
    background-color: rgba(var(--main-color), 0.05);
    opacity:1;
}

input[type="radio"]:checked + label.card::after {
    content: "check_circle";
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-weight: normal;
    font-style: normal;
    font-size: 2rem;
    font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24;
    color:  rgb(var(--main-color));
    position: absolute;
    right: 10px;
    top: 10px;
    display: inline-block;
    vertical-align: middle;
}

input[type="radio"]:checked + label.card * {
    color: rgb(var(--main-color)) !important;
}

input[type="radio"]:checked + label.card .bg-dark{
    background-color: rgba(var(--main-color), 1) !important;
    color:#FFF !important;
}

input[type="checkbox"],
input[type="radio"] {
    cursor: pointer;
    opacity: 0;
    position: absolute;
    z-index: -1;
    display: none;
}

input[type="checkbox"]:not(.ios-switch-input) + label,
input[type="radio"]:not(.ios-switch-input) + label {
    position: relative;
    cursor: pointer;
    display: inline-block;
    line-height: 1.5;
    font-size: 1rem;
    font-weight: normal;
    opacity: 1 !important;
    margin: 0;
    padding-left: 30px;
}

input[type="checkbox"]:not(.ios-switch-input):checked + label,
input[type="radio"]:not(.ios-switch-input):checked + label {
    color: rgb(var(--main-color));
}

input[type="checkbox"]:not(.ios-switch-input) + label::before,
input[type="radio"]:not(.ios-switch-input) + label::before {
    content: "check_box_outline_blank";
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-weight: normal;
    font-style: normal;
    font-size: 1.5rem;
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    color: #999;
    position: absolute;
    width: 30px;
    left: 0;
    transform: translateY(-50%);
    top: .75rem;
}

input[type="checkbox"]:not(.ios-switch-input) + label.text-danger::before,
input[type="radio"]:not(.ios-switch-input) + label.text-danger::before {
    color: var(--bs-danger);
}

input[type="checkbox"]:not(.ios-switch-input):checked + label::before,
input[type="radio"]:not(.ios-switch-input):checked + label::before {
    content: "check_box";
    font-variation-settings:
        'FILL' 1,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    color: rgb(var(--main-color));
}

fieldset.group-inline .form-check {
    display: inline-block;
    padding: 0;
    margin: 0 1rem 0 0;
}

.form-check-input{
    border: 2px solid #666;
    padding:.25rem;
    color: #333 !important;
    box-shadow: none !important;
}

.btn-gray {
    background-color: rgba(0, 0, 0, 0.2) !important;
}

.btn.disabled, .btn:disabled, fieldset:disabled .btn {
    background-color: rgba(0, 0, 0, 0.2);
}

.form-check-input:checked{
    background-color: rgba(var(--main-color), 1) !important;
    border: 2px solid rgba(var(--main-color), 1) !important;
}

.form-check-label{
    cursor: pointer;
}

fieldset.form-group{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap:1rem;
}

.box-form-check {
    background-color: rgba(0, 0, 0, 0.05);
    border-radius: .325rem;
    flex-wrap: wrap;
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 1rem;
    padding:.375rem 1rem .375rem .75rem;
}

.completed{
    position: relative;
    background-color: rgba(var(--support-color), .05) !important;
}

.completed .bg-completed{
    background-color: rgb(var(--support-color)) !important;
}

.completed .text-completed{
    color: rgb(var(--support-color)) !important;
}

.completed::after {
    content: "check_circle";
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-weight: normal;
    font-style: normal;
    font-size: 2rem;
    font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24;
    color:  rgb(var(--support-color));
    position: absolute;
    right: 10px;
    top: 10px;
    display: inline-block;
    vertical-align: middle;
}

.input-group-text{
    background-color: #CCC;
    border-radius: 0;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
    border: none;
    align-items: end;
}

@keyframes fadeInOut {
    0% {
        opacity: 0;
        transform: translateX(100%);
    }
    5% {
        opacity: 1;
        transform: translateX(-5%);
    }
    8% {
        transform: translateX(5%);
    }
    10% {
        transform: translateX(0);
    }
    90% {
        opacity: 1;
        transform: translateX(0);
    }
    100% {
        opacity: 0;
        transform: translateX(100%);
    }
}

.form-errors {
    position: fixed;
    top: 0;
    right: 0;
    padding: 0.5rem;
    display: flex;
    align-items: end;
    flex-direction: column;
}

.form-errors li {
    background-color: red;
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    margin: 5px 0;
    color: #FFF;
    white-space: nowrap;
    list-style: none;
    animation: fadeInOut 10s ease-in-out forwards;
}

.form-errors li:nth-child(1) {
    opacity: 0;
    animation-delay: 0s;
}

.form-errors li:nth-child(2) {
    opacity: 0;
    animation-delay: 0.25s;
}

.form-errors li:nth-child(3) {
    opacity: 0;
    animation-delay: 0.5s;
}

.form-errors li:nth-child(4) {
    opacity: 0;
    animation-delay: 0.75s;
}

.card-selection .btn-selection{
    background-color: rgba(0, 0, 0, 0.2);

}

.category-block.hidden{
    display:none;
}

.category-block.visible{
    display:block;
}



.simulator-line{
    padding:0 1rem;
    background-color: rgba(var(--main-color), .05);
}

.simulator-line .btn-optimization{
    background-color: rgba(0, 0, 0, 0.2);
}

.simulator-line .btn-optimization::before{
    content: "Optimiser"
}

.simulator-line.optimized{
    background-color: rgba(var(--support-color), .1);
    color:rgb(var(--support-color));
}

.simulator-line.optimized .btn-optimization{
    background-color: rgb(var(--support-color));
    color: #000;
    display: flex;
    align-items: center;
}

.simulator-line.optimized .btn-optimization::before{
    content: "Optimisé"
}

.simulator-line.optimized .btn-optimization::after{
    content: "lock";
    font-family: 'Material Symbols Rounded', sans-serif !important;
    font-weight: normal;
    font-style: normal;
    margin-left:5px;
    font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24;
}

#montecarlo-aiguille{
    transform-origin: 50% 85px;
    transform: rotate(90deg);
    transition: .5s;
}

.ios-switch-container {
    display: flex;
    gap: 12px;
    position: relative;
    width: 100%;
    margin-top: 1rem;
}

.ios-switch-input {
    opacity: 0;
    width: 0;
    height: 0;
    position: absolute;
}

.ios-switch-label {
    display: flex;
    align-items: start;
    cursor: pointer;
    gap: 12px;
    transition: transform 0.2s;
}

.ios-switch-handle-container {
    width: 28px;
    height: 16px;
    margin-top: 2px;
    background-color: #ccc;
    border-radius: 16px;
    transition: background-color 0.2s;
    position: relative;
    flex-shrink: 0;
}

.ios-switch-input:checked + .ios-switch-label .ios-switch-handle-container {
    background-color: rgb(var(--main-color));
}

.ios-switch-handle {
    position: absolute;
    top: 2px;
    left: 2px;
    width: 12px;
    height: 12px;
    background-color: white;
    border-radius: 50%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.ios-switch-input:checked + .ios-switch-label .ios-switch-handle {
    transform: translateX(12px);
}

.ios-switch-text {
    font-size: 14px;
    line-height: 20px;
    color: rgba(0, 0, 0, 0.6);
    display: inline-block;
    word-break: break-word;
    white-space: normal;
}

.ios-switch-input:checked + .ios-switch-label .ios-switch-text.on {
    color: rgb(var(--main-color));
    display: block;
}

.ios-switch-input:not(:checked) + .ios-switch-label .ios-switch-text.on {
    display: none;
}

.ios-switch-input:not(:checked) + .ios-switch-label .ios-switch-text.off {
    display: block;
}

.ios-switch-input:checked + .ios-switch-label .ios-switch-text.off {
    display: none;
}

.hidden-field, .hidden-field *{
    visibility: hidden !important;
    width: 0 !important;
    height: 0 !important;
}

#auth-code {
    letter-spacing: 1em;
    text-align: center;
    font-size: 1.5rem;
}

textarea::placeholder, input::placeholder {
    color: #444;
    font-style: italic;
    opacity: .5 !important;
    white-space: pre-line;
}
